Subject: Re: IPP> Re: MOD&PRO - Wake Up Call [fix request id lower bound: 1]

From: [email-masked] (Robert Herriot)
Date: Mon, 5 Jan 1998 18:17:06 -0800

I corrected the omissions in the protocol document, including the
examples.  I will not download it until we finish with other minor
fixes this week.

Bob Herriot

> From [email-masked] Mon Jan  5 14:04:43 1998
> X-Sender: hastings@garfield
> X-Mailer: Windows Eudora Pro Version 3.0.1 (32)
> Date: Mon, 5 Jan 1998 13:12:13 PST
> To: [email-masked] (Ira Mcdonald x10962), [email-masked],
>         [email-masked]
> From: Tom Hastings <[email-masked]>
> Subject: Re: IPP> Re: MOD&PRO - Wake Up Call [fix request id lower
>   bound: 1]
> In-Reply-To: <3.0.1.32.19980105084737.0107c900@garfield>
> References: <[email-masked]>
> Mime-Version: 1.0
> Sender: [email-masked]
> X-Lines: 46
> 
> At 08:47 01/05/1998 PST, Tom Hastings wrote:
> >At 08:03 01/03/1998 PST, Ira Mcdonald x10962 wrote:
> >>Hi Carl-Uno,
> >>
> >>Do you envision conference calls (to help sort out our few
> >>remaining issues and any edits that should have made it into
> >>the most recent Model and Protocol specs but didn't, for
> >>example the range of request-ID being '1..n' and not '0..n')?
> >
> >Ira,
> >The Protocol document was changed in section 3.6 to make the example value
> >for clients that aren't using it be the constant 1, instead of 0, 
> >so that its value is a legal value as agreed to align with the Job MIB and
> >the SNMP requirement not to use 0 as a table index value.
> >
> >However, the ABNF fails to specify the syntax of the request-id token.
> >(0 or 1).  It should be SIGNED-INTEGER, as all four octet integers are, 
> >but with some restriction on the range to be 1 to 2**31-1.
> >
> >Also I would think that section 3.6 should also include the range limits,
> >as has been done for other fields.
> >
> >Also the Model document doesn't seem to mention the request-id at all,
> >that I could find.  I'm not sure whether it should or not, since the
> >request-id is more of a protocol mechanism.
> 
> I found where "request id" is specified in the Model document.  Its in
> section 3.1.1.  In the protocol document, its called "request-id", but
> is called "request id" in the Model document (which is why I didn't
> find it when searching the Model document).  However, the lower bound
> is still specified as 0 to 2**31-1 in section 3.1.1 in the Model document
> and needs to be changed to be: 1 to 2**31-1 as agreed.
> 
> Perhaps the protocol document section 3.6 should also be fixed to mention
> the "request id" in the model document as mapping to the "request-id"
> in the protocol document?
> 
> >
> >Thanks,
> >Tom
> >
> >snip...
> >
> >
> >
> >
>